diff --git a/include/ieee1516-2000/RTI/RTIambassador.h b/include/ieee1516-2000/RTI/RTIambassador.h
index 9b3d82fc..f14d7c30 100644
--- a/include/ieee1516-2000/RTI/RTIambassador.h
+++ b/include/ieee1516-2000/RTI/RTIambassador.h
@@ -31,12 +31,12 @@ namespace rti1516
   {
   protected:
     RTIambassador()
-       throw ();
+       noexcept;
 
   public:
     virtual
       ~RTIambassador();
-    // throw ()
+    // noexcept
 
     /**
      * @defgroup IEEE1516_FederationManagement Federation Management
@@ -47,138 +47,66 @@ namespace rti1516
     virtual void createFederationExecution
     (std::wstring const & federationExecutionName,
      std::wstring const & fullPathNameToTheFDDfile,
-     std::wstring const & logicalTimeImplementationName = L"")
-      throw (FederationExecutionAlreadyExists,
-             CouldNotOpenFDD,
-             ErrorReadingFDD,
-             CouldNotCreateLogicalTimeFactory,
-             RTIinternalError) = 0;
+     std::wstring const & logicalTimeImplementationName = L"") = 0;
 
     // 4.3
     virtual void destroyFederationExecution 
-    (std::wstring const & federationExecutionName)
-      throw (FederatesCurrentlyJoined,
-             FederationExecutionDoesNotExist,
-             RTIinternalError) = 0;
+    (std::wstring const & federationExecutionName) = 0;
 
     // 4.4
     virtual FederateHandle joinFederationExecution 
     (std::wstring const & federateType,
      std::wstring const & federationExecutionName,
-     FederateAmbassador & federateAmbassador)
-      throw (FederateAlreadyExecutionMember,
-             FederationExecutionDoesNotExist,
-             SaveInProgress,
-             RestoreInProgress,
-             CouldNotCreateLogicalTimeFactory,
-             RTIinternalError) = 0;
+     FederateAmbassador & federateAmbassador) = 0;
 
     // 4.5
     virtual void resignFederationExecution
-    (ResignAction resignAction)
-      throw (OwnershipAcquisitionPending,
-             FederateOwnsAttributes,
-             FederateNotExecutionMember,
-             RTIinternalError) = 0;
+    (ResignAction resignAction) = 0;
 
     // 4.6
     virtual void registerFederationSynchronizationPoint
     (std::wstring const & label,
-     VariableLengthData const & theUserSuppliedTag)
-      throw (FederateNotExecutionMember,
-             SaveInProgress,
-             RestoreInProgress,
-             RTIinternalError) = 0;
+     VariableLengthData const & theUserSuppliedTag) = 0;
 
     virtual void registerFederationSynchronizationPoint
     (std::wstring const & label,
      VariableLengthData const & theUserSuppliedTag,
-     FederateHandleSet const & syncSet)
-      throw (FederateNotExecutionMember,
-             SaveInProgress,
-             RestoreInProgress,
-             RTIinternalError) = 0;
+     FederateHandleSet const & syncSet) = 0;
 
     // 4.9
     virtual void synchronizationPointAchieved
-    (std::wstring const & label)
-      throw (SynchronizationPointLabelNotAnnounced,
-             FederateNotExecutionMember,
-             SaveInProgress,
-             RestoreInProgress,
-             RTIinternalError) = 0;
+    (std::wstring const & label) = 0;
 
     // 4.11
     virtual void requestFederationSave
-    (std::wstring const & label)
-      throw (FederateNotExecutionMember,
-             SaveInProgress,
-             RestoreInProgress,
-             RTIinternalError) = 0;
+    (std::wstring const & label) = 0;
 
     virtual void requestFederationSave
     (std::wstring const & label,
-     LogicalTime const & theTime)
-      throw (LogicalTimeAlreadyPassed,
-             InvalidLogicalTime,
-             FederateUnableToUseTime,
-             FederateNotExecutionMember,
-             SaveInProgress,
-             RestoreInProgress,
-             RTIinternalError) = 0;
+     LogicalTime const & theTime) = 0;
 
     // 4.13
-    virtual void federateSaveBegun ()
-      throw (SaveNotInitiated,
-             FederateNotExecutionMember,
-             RestoreInProgress,
-             RTIinternalError) = 0;
+    virtual void federateSaveBegun () = 0;
 
     // 4.14
-    virtual void federateSaveComplete ()
-      throw (FederateHasNotBegunSave,
-             FederateNotExecutionMember,
-             RestoreInProgress,
-             RTIinternalError) = 0;
-
-    virtual void federateSaveNotComplete()
-      throw (FederateHasNotBegunSave,
-             FederateNotExecutionMember,
-             RestoreInProgress,
-             RTIinternalError) = 0;
+    virtual void federateSaveComplete () = 0;
+
+    virtual void federateSaveNotComplete() = 0;
 
     // 4.16
-    virtual void queryFederationSaveStatus ()
-      throw (FederateNotExecutionMember,
-             RestoreInProgress,
-             RTIinternalError) = 0;
+    virtual void queryFederationSaveStatus () = 0;
 
     // 4.18
     virtual void requestFederationRestore
-    (std::wstring const & label)
-      throw (FederateNotExecutionMember,
-             SaveInProgress,
-             RestoreInProgress,
-             RTIinternalError) = 0;
+    (std::wstring const & label) = 0;
 
     // 4.22
-    virtual void federateRestoreComplete ()
-      throw (RestoreNotRequested,
-             FederateNotExecutionMember,
-             SaveInProgress,
-             RTIinternalError) = 0;
-
-    virtual void federateRestoreNotComplete ()
-      throw (RestoreNotRequested,
-             FederateNotExecutionMember,
-             SaveInProgress,
-             RTIinternalError) = 0;
+    virtual void federateRestoreComplete () = 0;
+
+    virtual void federateRestoreNotComplete () = 0;
 
     // 4.24
-    virtual void queryFederationRestoreStatus ()
-      throw (FederateNotExecutionMember,
-             SaveInProgress,
-             RTIinternalError) = 0;
+    virtual void queryFederationRestoreStatus () = 0;
 
     /** @} end group IEEE1516_FederationManagement */
 
@@ -189,103 +117,46 @@ namespace rti1516
     // 5.2
     virtual void publishObjectClassAttributes
     (ObjectClassHandle theClass,
-     AttributeHandleSet const & attributeList)
-      throw (ObjectClassNotDefined,
-             AttributeNotDefined,
-             FederateNotExecutionMember,
-             SaveInProgress,
-             RestoreInProgress,
-             RTIinternalError) = 0;
+     AttributeHandleSet const & attributeList) = 0;
 
     // 5.3
     virtual void unpublishObjectClass
-    (ObjectClassHandle theClass)
-      throw (ObjectClassNotDefined,
-             OwnershipAcquisitionPending,
-             FederateNotExecutionMember,
-             SaveInProgress,
-             RestoreInProgress,
-             RTIinternalError) = 0;
+    (ObjectClassHandle theClass) = 0;
 
     virtual void unpublishObjectClassAttributes
     (ObjectClassHandle theClass,
-     AttributeHandleSet const & attributeList)
-      throw (ObjectClassNotDefined,
-             AttributeNotDefined,
-             OwnershipAcquisitionPending,
-             FederateNotExecutionMember,
-             SaveInProgress,
-             RestoreInProgress,
-             RTIinternalError) = 0;
+     AttributeHandleSet const & attributeList) = 0;
 
     // 5.4
     virtual void publishInteractionClass
-    (InteractionClassHandle theInteraction)
-      throw (InteractionClassNotDefined,
-             FederateNotExecutionMember,
-             SaveInProgress,
-             RestoreInProgress,
-             RTIinternalError) = 0;
+    (InteractionClassHandle theInteraction) = 0;
 
     // 5.5
     virtual void unpublishInteractionClass
-    (InteractionClassHandle theInteraction)
-      throw (InteractionClassNotDefined,
-             FederateNotExecutionMember,
-             SaveInProgress,
-             RestoreInProgress,
-             RTIinternalError) = 0;
+    (InteractionClassHandle theInteraction) = 0;
 
     // 5.6
     virtual void subscribeObjectClassAttributes
     (ObjectClassHandle theClass,
      AttributeHandleSet const & attributeList,
-     bool active = true)
-      throw (ObjectClassNotDefined,
-             AttributeNotDefined,
-             FederateNotExecutionMember,
-             SaveInProgress,
-             RestoreInProgress,
-             RTIinternalError) = 0;
+     bool active = true) = 0;
 
     // 5.7
     virtual void unsubscribeObjectClass
-    (ObjectClassHandle theClass)
-      throw (ObjectClassNotDefined,
-             FederateNotExecutionMember,
-             SaveInProgress,
-             RestoreInProgress,
-             RTIinternalError) = 0;
+    (ObjectClassHandle theClass) = 0;
 
     virtual void unsubscribeObjectClassAttributes
     (ObjectClassHandle theClass,
-     AttributeHandleSet const & attributeList)
-      throw (ObjectClassNotDefined,
-             AttributeNotDefined,
-             FederateNotExecutionMember,
-             SaveInProgress,
-             RestoreInProgress,
-             RTIinternalError) = 0;
+     AttributeHandleSet const & attributeList) = 0;
 
     // 5.8
     virtual void subscribeInteractionClass
     (InteractionClassHandle theClass,
-     bool active = true)
-      throw (InteractionClassNotDefined,
-             FederateServiceInvocationsAreBeingReportedViaMOM,
-             FederateNotExecutionMember,
-             SaveInProgress,
-             RestoreInProgress,
-             RTIinternalError) = 0;
+     bool active = true) = 0;
 
     // 5.9
     virtual void unsubscribeInteractionClass
-    (InteractionClassHandle theClass)
-      throw (InteractionClassNotDefined,
-             FederateNotExecutionMember,
-             SaveInProgress,
-             RestoreInProgress,
-             RTIinternalError) = 0;
+    (InteractionClassHandle theClass) = 0;
 
     ////////////////////////////////
     // Object Management Services //
@@ -293,169 +164,75 @@ namespace rti1516
   
     // 6.2
     virtual void reserveObjectInstanceName
-    (std::wstring const & theObjectInstanceName)
-      throw (IllegalName,
-             FederateNotExecutionMember,
-             SaveInProgress,
-             RestoreInProgress,
-             RTIinternalError) = 0;
+    (std::wstring const & theObjectInstanceName) = 0;
 
     // 6.4
     virtual ObjectInstanceHandle registerObjectInstance
-    (ObjectClassHandle theClass)
-      throw (ObjectClassNotDefined,
-             ObjectClassNotPublished,
-             FederateNotExecutionMember,
-             SaveInProgress,
-             RestoreInProgress,
-             RTIinternalError) = 0;
+    (ObjectClassHandle theClass) = 0;
 
     virtual ObjectInstanceHandle registerObjectInstance
     (ObjectClassHandle theClass,
-     std::wstring const & theObjectInstanceName)
-      throw (ObjectClassNotDefined,
-             ObjectClassNotPublished,
-             ObjectInstanceNameNotReserved,
-             ObjectInstanceNameInUse,
-             FederateNotExecutionMember,
-             SaveInProgress,
-             RestoreInProgress,
-             RTIinternalError) = 0;
+     std::wstring const & theObjectInstanceName) = 0;
 
     // 6.6
     virtual void updateAttributeValues
     (ObjectInstanceHandle theObject,
      AttributeHandleValueMap const & theAttributeValues,
-     VariableLengthData const & theUserSuppliedTag)
-      throw (ObjectInstanceNotKnown,
-             AttributeNotDefined,
-             AttributeNotOwned,
-             FederateNotExecutionMember,
-             SaveInProgress,
-             RestoreInProgress,
-             RTIinternalError) = 0;
+     VariableLengthData const & theUserSuppliedTag) = 0;
 
     virtual MessageRetractionHandle updateAttributeValues
     (ObjectInstanceHandle theObject,
      AttributeHandleValueMap const & theAttributeValues,
      VariableLengthData const & theUserSuppliedTag,
-     LogicalTime const & theTime)
-      throw (ObjectInstanceNotKnown,
-             AttributeNotDefined,
-             AttributeNotOwned,
-             InvalidLogicalTime,
-             FederateNotExecutionMember,
-             SaveInProgress,
-             RestoreInProgress,
-             RTIinternalError) = 0;
+     LogicalTime const & theTime) = 0;
 
     // 6.8
     virtual void sendInteraction
     (InteractionClassHandle theInteraction,
      ParameterHandleValueMap const & theParameterValues,
-     VariableLengthData const & theUserSuppliedTag)
-      throw (InteractionClassNotPublished,
-             InteractionClassNotDefined,
-             InteractionParameterNotDefined,
-             FederateNotExecutionMember,
-             SaveInProgress,
-             RestoreInProgress,
-             RTIinternalError) = 0;
+     VariableLengthData const & theUserSuppliedTag) = 0;
 
     virtual MessageRetractionHandle sendInteraction
     (InteractionClassHandle theInteraction,
      ParameterHandleValueMap const & theParameterValues,
      VariableLengthData const & theUserSuppliedTag,
-     LogicalTime const & theTime)
-      throw (InteractionClassNotPublished,
-             InteractionClassNotDefined,
-             InteractionParameterNotDefined,
-             InvalidLogicalTime,
-             FederateNotExecutionMember,
-             SaveInProgress,
-             RestoreInProgress,
-             RTIinternalError) = 0;
+     LogicalTime const & theTime) = 0;
 
     // 6.10
     virtual void deleteObjectInstance
     (ObjectInstanceHandle theObject,
-     VariableLengthData const & theUserSuppliedTag)
-      throw (DeletePrivilegeNotHeld,
-             ObjectInstanceNotKnown,
-             FederateNotExecutionMember,
-             SaveInProgress,
-             RestoreInProgress,
-             RTIinternalError) = 0;
+     VariableLengthData const & theUserSuppliedTag) = 0;
 
     virtual MessageRetractionHandle deleteObjectInstance
     (ObjectInstanceHandle theObject,
      VariableLengthData const & theUserSuppliedTag,
-     LogicalTime  const & theTime)
-      throw (DeletePrivilegeNotHeld,
-             ObjectInstanceNotKnown,
-             InvalidLogicalTime,
-             FederateNotExecutionMember,
-             SaveInProgress,
-             RestoreInProgress,
-             RTIinternalError) = 0;
+     LogicalTime  const & theTime) = 0;
 
     // 6.12
     virtual void localDeleteObjectInstance
-    (ObjectInstanceHandle theObject)
-      throw (ObjectInstanceNotKnown,
-             FederateOwnsAttributes,
-             OwnershipAcquisitionPending,
-             FederateNotExecutionMember,
-             SaveInProgress,
-             RestoreInProgress,
-             RTIinternalError) = 0;
+    (ObjectInstanceHandle theObject) = 0;
 
     // 6.13
     virtual void changeAttributeTransportationType
     (ObjectInstanceHandle theObject,
      AttributeHandleSet const & theAttributes,
-     TransportationType theType)
-      throw (ObjectInstanceNotKnown,
-             AttributeNotDefined,
-             AttributeNotOwned,
-             FederateNotExecutionMember,
-             SaveInProgress,
-             RestoreInProgress,
-             RTIinternalError) = 0;
+     TransportationType theType) = 0;
 
     // 6.14
     virtual void changeInteractionTransportationType
     (InteractionClassHandle theClass,
-     TransportationType theType)
-      throw (InteractionClassNotDefined,
-             InteractionClassNotPublished,
-             FederateNotExecutionMember,
-             SaveInProgress,
-             RestoreInProgress,
-             RTIinternalError) = 0;
+     TransportationType theType) = 0;
   
     // 6.17
     virtual void requestAttributeValueUpdate
     (ObjectInstanceHandle theObject,
      AttributeHandleSet const & theAttributes,
-     VariableLengthData const & theUserSuppliedTag)
-      throw (ObjectInstanceNotKnown,
-             AttributeNotDefined,
-             FederateNotExecutionMember,
-             SaveInProgress,
-             RestoreInProgress,
-             RTIinternalError) = 0;
+     VariableLengthData const & theUserSuppliedTag) = 0;
 
     virtual void requestAttributeValueUpdate
     (ObjectClassHandle theClass,
      AttributeHandleSet const & theAttributes,
-     VariableLengthData const & theUserSuppliedTag)
-      throw (ObjectClassNotDefined,
-             AttributeNotDefined,
-             FederateNotExecutionMember,
-             SaveInProgress,
-             RestoreInProgress,
-             RTIinternalError) = 0;
+     VariableLengthData const & theUserSuppliedTag) = 0;
 
     ///////////////////////////////////
     // Ownership Management Services //
@@ -463,134 +240,57 @@ namespace rti1516
     // 7.2
     virtual void unconditionalAttributeOwnershipDivestiture
     (ObjectInstanceHandle theObject,
-     AttributeHandleSet const & theAttributes)
-      throw (ObjectInstanceNotKnown,
-             AttributeNotDefined,
-             AttributeNotOwned,
-             FederateNotExecutionMember,
-             SaveInProgress,
-             RestoreInProgress,
-             RTIinternalError) = 0;
+     AttributeHandleSet const & theAttributes) = 0;
 
     // 7.3
     virtual void negotiatedAttributeOwnershipDivestiture
     (ObjectInstanceHandle theObject,
      AttributeHandleSet const & theAttributes,
-     VariableLengthData const & theUserSuppliedTag)
-      throw (ObjectInstanceNotKnown,
-             AttributeNotDefined,
-             AttributeNotOwned,
-             AttributeAlreadyBeingDivested,
-             FederateNotExecutionMember,
-             SaveInProgress,
-             RestoreInProgress,
-             RTIinternalError) = 0;
+     VariableLengthData const & theUserSuppliedTag) = 0;
 
     // 7.6
     virtual void confirmDivestiture
     (ObjectInstanceHandle theObject,
      AttributeHandleSet const & confirmedAttributes,
-     VariableLengthData const & theUserSuppliedTag)
-      throw (ObjectInstanceNotKnown,
-             AttributeNotDefined,
-             AttributeNotOwned,
-             AttributeDivestitureWasNotRequested,
-             NoAcquisitionPending,
-             FederateNotExecutionMember,
-             SaveInProgress,
-             RestoreInProgress,
-             RTIinternalError) = 0;
+     VariableLengthData const & theUserSuppliedTag) = 0;
 
     // 7.8
     virtual void attributeOwnershipAcquisition
     (ObjectInstanceHandle theObject,
      AttributeHandleSet const & desiredAttributes,
-     VariableLengthData const & theUserSuppliedTag)
-      throw (ObjectInstanceNotKnown,
-             ObjectClassNotPublished,
-             AttributeNotDefined,
-             AttributeNotPublished,
-             FederateOwnsAttributes,
-             FederateNotExecutionMember,
-             SaveInProgress,
-             RestoreInProgress,
-             RTIinternalError) = 0;
+     VariableLengthData const & theUserSuppliedTag) = 0;
 
     // 7.9
     virtual void attributeOwnershipAcquisitionIfAvailable
     (ObjectInstanceHandle theObject,
-     AttributeHandleSet const & desiredAttributes)
-      throw (ObjectInstanceNotKnown,
-             ObjectClassNotPublished,
-             AttributeNotDefined,
-             AttributeNotPublished,
-             FederateOwnsAttributes,
-             AttributeAlreadyBeingAcquired,
-             FederateNotExecutionMember,
-             SaveInProgress,
-             RestoreInProgress,
-             RTIinternalError) = 0;
+     AttributeHandleSet const & desiredAttributes) = 0;
 
     // 7.12
     virtual void attributeOwnershipDivestitureIfWanted
     (ObjectInstanceHandle theObject,
      AttributeHandleSet const & theAttributes,
-     AttributeHandleSet & theDivestedAttributes) // filled by RTI
-      throw (ObjectInstanceNotKnown,
-             AttributeNotDefined,
-             AttributeNotOwned,
-             FederateNotExecutionMember,
-             SaveInProgress,
-             RestoreInProgress,
-             RTIinternalError) = 0;
+     AttributeHandleSet & theDivestedAttributes) = 0; // filled by RTI
+
 
     // 7.13
     virtual void cancelNegotiatedAttributeOwnershipDivestiture
     (ObjectInstanceHandle theObject,
-     AttributeHandleSet const & theAttributes)
-      throw (ObjectInstanceNotKnown,
-             AttributeNotDefined,
-             AttributeNotOwned,
-             AttributeDivestitureWasNotRequested,
-             FederateNotExecutionMember,
-             SaveInProgress,
-             RestoreInProgress,
-             RTIinternalError) = 0;
+     AttributeHandleSet const & theAttributes) = 0;
 
     // 7.14
     virtual void cancelAttributeOwnershipAcquisition
     (ObjectInstanceHandle theObject,
-     AttributeHandleSet const & theAttributes)
-      throw (ObjectInstanceNotKnown,
-             AttributeNotDefined,
-             AttributeAlreadyOwned,
-             AttributeAcquisitionWasNotRequested,
-             FederateNotExecutionMember,
-             SaveInProgress,
-             RestoreInProgress,
-             RTIinternalError) = 0;
+     AttributeHandleSet const & theAttributes) = 0;
 
     // 7.16
     virtual void queryAttributeOwnership
     (ObjectInstanceHandle theObject,
-     AttributeHandle theAttribute)
-      throw (ObjectInstanceNotKnown,
-             AttributeNotDefined,
-             FederateNotExecutionMember,
-             SaveInProgress,
-             RestoreInProgress,
-             RTIinternalError) = 0;
+     AttributeHandle theAttribute) = 0;
 
     // 7.18
     virtual bool isAttributeOwnedByFederate
     (ObjectInstanceHandle theObject,
-     AttributeHandle theAttribute)
-      throw (ObjectInstanceNotKnown,
-             AttributeNotDefined,
-             FederateNotExecutionMember,
-             SaveInProgress,
-             RestoreInProgress,
-             RTIinternalError) = 0;
+     AttributeHandle theAttribute) = 0;
 
     //////////////////////////////
     // Time Management Services //
@@ -598,197 +298,73 @@ namespace rti1516
   
     // 8.2
     virtual void enableTimeRegulation
-    (LogicalTimeInterval const & theLookahead)
-      throw (TimeRegulationAlreadyEnabled,
-             InvalidLookahead,
-             InTimeAdvancingState,
-             RequestForTimeRegulationPending,
-             FederateNotExecutionMember,
-             SaveInProgress,
-             RestoreInProgress,
-             RTIinternalError) = 0;
+    (LogicalTimeInterval const & theLookahead) = 0;
 
     // 8.4
-    virtual void disableTimeRegulation ()
-      throw (TimeRegulationIsNotEnabled,
-             FederateNotExecutionMember,
-             SaveInProgress,
-             RestoreInProgress,
-             RTIinternalError) = 0;
+    virtual void disableTimeRegulation () = 0;
 
     // 8.5
-    virtual void enableTimeConstrained ()
-      throw (TimeConstrainedAlreadyEnabled,
-             InTimeAdvancingState,
-             RequestForTimeConstrainedPending,
-             FederateNotExecutionMember,
-             SaveInProgress,
-             RestoreInProgress,
-             RTIinternalError) = 0;
+    virtual void enableTimeConstrained () = 0;
 
     // 8.7
-    virtual void disableTimeConstrained ()
-      throw (TimeConstrainedIsNotEnabled,
-             FederateNotExecutionMember,
-             SaveInProgress,
-             RestoreInProgress,
-             RTIinternalError) = 0;
+    virtual void disableTimeConstrained () = 0;
 
     // 8.8
     virtual void timeAdvanceRequest
-    (LogicalTime const & theTime)
-      throw (InvalidLogicalTime,
-             LogicalTimeAlreadyPassed,
-             InTimeAdvancingState,
-             RequestForTimeRegulationPending,
-             RequestForTimeConstrainedPending,
-             FederateNotExecutionMember,
-             SaveInProgress,
-             RestoreInProgress,
-             RTIinternalError) = 0;
+    (LogicalTime const & theTime) = 0;
 
     // 8.9
     virtual void timeAdvanceRequestAvailable
-    (LogicalTime const & theTime)
-      throw (InvalidLogicalTime,
-             LogicalTimeAlreadyPassed,
-             InTimeAdvancingState,
-             RequestForTimeRegulationPending,
-             RequestForTimeConstrainedPending,
-             FederateNotExecutionMember,
-             SaveInProgress,
-             RestoreInProgress,
-             RTIinternalError) = 0;
+    (LogicalTime const & theTime) = 0;
 
     // 8.10
     virtual void nextMessageRequest
-    (LogicalTime const & theTime)
-      throw (InvalidLogicalTime,
-             LogicalTimeAlreadyPassed,
-             InTimeAdvancingState,
-             RequestForTimeRegulationPending,
-             RequestForTimeConstrainedPending,
-             FederateNotExecutionMember,
-             SaveInProgress,
-             RestoreInProgress,
-             RTIinternalError) = 0;
+    (LogicalTime const & theTime) = 0;
 
     // 8.11
     virtual void nextMessageRequestAvailable
-    (LogicalTime const & theTime)
-      throw (InvalidLogicalTime,
-             LogicalTimeAlreadyPassed,
-             InTimeAdvancingState,
-             RequestForTimeRegulationPending,
-             RequestForTimeConstrainedPending,
-             FederateNotExecutionMember,
-             SaveInProgress,
-             RestoreInProgress,
-             RTIinternalError) = 0;
+    (LogicalTime const & theTime) = 0;
 
     // 8.12
     virtual void flushQueueRequest
-    (LogicalTime const & theTime)
-      throw (InvalidLogicalTime,
-             LogicalTimeAlreadyPassed,
-             InTimeAdvancingState,
-             RequestForTimeRegulationPending,
-             RequestForTimeConstrainedPending,
-             FederateNotExecutionMember,
-             SaveInProgress,
-             RestoreInProgress,
-             RTIinternalError) = 0;
+    (LogicalTime const & theTime) = 0;
 
     // 8.14
-    virtual void enableAsynchronousDelivery ()
-      throw (AsynchronousDeliveryAlreadyEnabled,
-             FederateNotExecutionMember,
-             SaveInProgress,
-             RestoreInProgress,
-             RTIinternalError) = 0;
+    virtual void enableAsynchronousDelivery () = 0;
 
     // 8.15
-    virtual void disableAsynchronousDelivery ()
-      throw (AsynchronousDeliveryAlreadyDisabled,
-             FederateNotExecutionMember,
-             SaveInProgress,
-             RestoreInProgress,
-             RTIinternalError) = 0;
+    virtual void disableAsynchronousDelivery () = 0;
 
     // 8.16
-    virtual bool queryGALT (LogicalTime & theTime)
-      throw (FederateNotExecutionMember,
-             SaveInProgress,
-             RestoreInProgress,
-             RTIinternalError) = 0;
+    virtual bool queryGALT (LogicalTime & theTime) = 0;
 
     // 8.17
-    virtual void queryLogicalTime (LogicalTime & theTime)
-      throw (FederateNotExecutionMember,
-             SaveInProgress,
-             RestoreInProgress,
-             RTIinternalError) = 0;
+    virtual void queryLogicalTime (LogicalTime & theTime) = 0;
 
     // 8.18
-    virtual bool queryLITS (LogicalTime & theTime)
-      throw (FederateNotExecutionMember,
-             SaveInProgress,
-             RestoreInProgress,
-             RTIinternalError) = 0;
+    virtual bool queryLITS (LogicalTime & theTime) = 0;
 
     // 8.19
     virtual void modifyLookahead
-    (LogicalTimeInterval const & theLookahead)
-      throw (TimeRegulationIsNotEnabled,
-             InvalidLookahead,
-             InTimeAdvancingState,
-             FederateNotExecutionMember,
-             SaveInProgress,
-             RestoreInProgress,
-             RTIinternalError) = 0;
+    (LogicalTimeInterval const & theLookahead) = 0;
 
     // 8.20
-    virtual void queryLookahead (LogicalTimeInterval & interval)
-      throw (TimeRegulationIsNotEnabled,
-             FederateNotExecutionMember,
-             SaveInProgress,
-             RestoreInProgress,
-             RTIinternalError) = 0;
+    virtual void queryLookahead (LogicalTimeInterval & interval) = 0;
 
     // 8.21
     virtual void retract
-    (MessageRetractionHandle theHandle)
-      throw (InvalidRetractionHandle,
-             TimeRegulationIsNotEnabled,
-             MessageCanNoLongerBeRetracted,
-             FederateNotExecutionMember,
-             SaveInProgress,
-             RestoreInProgress,
-             RTIinternalError) = 0;
+    (MessageRetractionHandle theHandle) = 0;
 
     // 8.23
     virtual void changeAttributeOrderType
     (ObjectInstanceHandle theObject,
      AttributeHandleSet const & theAttributes,
-     OrderType theType)
-      throw (ObjectInstanceNotKnown,
-             AttributeNotDefined,
-             AttributeNotOwned,
-             FederateNotExecutionMember,
-             SaveInProgress,
-             RestoreInProgress,
-             RTIinternalError) = 0;
+     OrderType theType) = 0;
 
     // 8.24
     virtual void changeInteractionOrderType
     (InteractionClassHandle theClass,
-     OrderType theType)
-      throw (InteractionClassNotDefined,
-             InteractionClassNotPublished,
-             FederateNotExecutionMember,
-             SaveInProgress,
-             RestoreInProgress,
-             RTIinternalError) = 0;
+     OrderType theType) = 0;
 
     //////////////////////////////////
     // Data Distribution Management //
